<?php
if (!isset($SITE)){
	header ("Location: ../index.php");	// back to index/startpage if someone tries an
	exit;  								//  page to load without menu system//
}
$pagename='incHwaForecast2.php';
$SITE['wsModules'][$pagename] = 'version 1.21 2013-01-29';
#  check to see this is the real script
$pfile = basename(__FILE__);
if ($pfile <> $pagename) {
	$SITE['wsModules'][$pfile]	= 'this file loaded instead of '.$pagename;
}
echo '<!-- module '.$pfile.' ==== '.$SITE['wsModules'][$pfile]." -->\n";
#-------------------------------------------------------------------------------
	ini_set('display_errors', 'On'); 
	error_reporting(E_ALL);
#-------------------------------------------------------------------------------
# version 1.20  new HWA/MC xml
# version 1.21  new calculation 12 hour values
#-------------------------------------------------------------------------------
# Display a list of forecast date from Het Weer Actueel
#-------------------------------------------------------------------------------
# First get the data from a weather class 
#
#include('hwa.weather.php');
include('hwa.weather.php');
$weather = new hwaWeather ();
$returnArray = $weather->getWeatherData('');
#---------------------------------------------------------------------------
include ('hwaGraph.php');
echo '<br />'.PHP_EOL;
#---------------------------------------------------------------------------
# define array and fill first row with headings
#---------------------------------------------------------------------------
$forecast = array ();   			
$forecast[0]['period']		=langtransstr('date'); //  .' / '.langtransstr('period');
$forecast[0]['condition']	=langtransstr('forecast');
$forecast[0]['icon']		=langtransstr('icon');
$forecast[0]['tempLow']		=langtransstr('low');
$forecast[0]['tempHigh']	=langtransstr('high');
$forecast[0]['rain']		=langtransstr('chance of rain').'<br />'.langtransstr('and').' '.langtransstr('quantity');
$forecast[0]['wind']		=langtransstr('wind').langtransstr('speed').'<br />'.langtransstr('and').' '.langtransstr('direction');
#---------------------------------------------------------------------------
# load icon translate if necessary
include_once ('wsIconUrl.php');
#---------------------------------------------------------------------------
# process each forecast
$id='1';
foreach ($returnArray['forecast'] as $arr) {
	if ($arr['windDir'] == 'windDir') {continue;}
	if (!isset($arr['iconL']) || $arr['timestamp'] < time()) {continue;}
	if ($arr['part'] == 'nighttime') {
		$tekstBefore = langtransstr($arr['part']).' '.langtransstr('of').'<br />';
		$tekstAfter = '';
	} else {
		$tekstBefore = '';
		$tekstAfter = '<br />'.langtransstr($arr['part']);		
	}
	$forecast[$id]['period'] = $tekstBefore. 
								langtransstr( date ( 'l' , $arr['timestamp' ]) ).' '.
								date ( 'j ' , $arr['timestamp' ]).
								langtransstr( date ( 'M' , $arr['timestamp' ]) ).
							   $tekstAfter ;
	if ($arr['thunderChance'] <> 0) {
		$tekst = '<br />'.$arr['thunderChance'].'% '.langtransstr('chance of').'<br />'.langtransstr('thunderstorm');		
	} else {
		$tekst = '';
	}
	$forecastTxt	= langtransstr($arr['weatherDescL']);

	$forecast[$id]['condition']	= str_replace( ' ', '<br />', $forecastTxt).$tekst;
	
	$notUsed = '';	$iconOut='';	$iconUrlOut = '';
	wsChangeIcon ('hwa',$arr['iconL'], $iconOut, $arr['iconUrl'], $iconUrlOut, $notUsed);
	$forecast[$id]['iconUrl']	= '<img alt="icon '.$forecastTxt.'" src="'.$iconUrlOut.'" height="43px"/>';
//		$forecast[$id]['iconUrl']	= $arr['iconUrl'];
	$forecast[$id]['tempLow']	= $arr['tempLow'];
	$forecast[$id]['tempHigh']	= $arr['tempHigh'];
	if ($arr['rainChance'] <> 0) {
		$tekst = $arr['rainChance'].'% '.langtransstr('chance of').' ';		
	} else {
		$tekst = '';
	}
	$forecast[$id]['rain']		= $tekst.$arr['rainL'];
	if ($arr['snowChance'] <> 0) {
		$tekst = '<br />'.$arr['snowChance'].'% '.langtransstr('chance of').' '.langtransstr('snow');		
	} else {
		$tekst = '';
	}
	$forecast[$id]['rain']		.= $tekst;
	$forecast[$id]['wind']		= $arr['windSpeedL'].'<br />'.langtransstr ('from the ').langtransstr($arr['windDir']);
	$id++;
}  // eo for

//echo '<pre>';
//print_r ($forecast);
//exit;

#-------------------------------------------------------------------------------
# now we are going to print the data to the screen
#-------------------------------------------------------------------------------
$rowcolor=0;
echo '<h3>&nbsp;'.'Het Weer Actueel 5 '.langtransstr('day forecast for').' '.$SITE['organ'].'</h3>'.PHP_EOL;
echo '
<table class="genericTable">
<tbody>
<tr class="row-dark">'."\n";
// print headings
echo '
<th rowspan="2">'.$forecast[0]['period'].'</th>
<th rowspan="2" colspan="2">'.langtransstr('forecast').'</th>
<th colspan="2">'.langtransstr('temperature').'</th>
<th rowspan="2">'.$forecast[0]['rain'].'</th>
<th rowspan="2">'.$forecast[0]['wind'].'</th>
</tr>';
echo '
<tr class="row-dark">
<th >'.langtransstr('low').'</th>
<th >'.langtransstr('high').'</th>
</tr>';
$style='row-light';
for ($i=1;$i<=count($forecast)-1;$i++) {
	$string='';
	$string.="
<tr class='".$style."'>
<td>".$forecast[$i]['period'].'</td>
<td>'.$forecast[$i]['condition'].'</td>
<td>'.$forecast[$i]['iconUrl'].'</td>
<td>'.$forecast[$i]['tempLow'].'</td>
<td>'.$forecast[$i]['tempHigh'].'</td>
<td>'.$forecast[$i]['rain'].'</td>
<td>'.$forecast[$i]['wind'].'</td>';
	echo $string;
	echo "
</tr>\n";  
	if ($rowcolor == 0)										// for odd even lines with different color
		{$style='row-dark'; $rowcolor = 1;} 
		else 
		{$style='row-light'; $rowcolor = 0;}
}

echo "
<tr class='".$style."'><td colspan='99'><small>
<a target=\"_new\" href=\"http://www.hetweeractueel.nl/\">
Verwachtingen beschikbaar gesteld door de samenwerking met Hetweeractueel.nl en Meteo Consult</a>
</small></td></tr>";

echo '
</tbody></table>';
#---------------------------------------------------------------------------
function forecast_string_date ($input, $text) {   // 2011-10-30T13:00:00
	$date = DateTime::createFromFormat('Ymd', $input);
	if (!$date){$string =' ';}
	else
	{$string =  $date->format($text);}
	// output: $text = php format string
	// f.e.  'd-m-Y'  results in 17-10-2011 for $input = '2011-10-17-T16-17-01'
	return $string;
}
?>